﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ChartBenchmark
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            var domain = AppDomain.CurrentDomain;
            domain.AssemblyResolve += Domain_AssemblyResolve;

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Form1());
        }

        private static System.Reflection.Assembly Domain_AssemblyResolve(object sender, ResolveEventArgs args)
        {
            var name = new AssemblyName(args.Name);

            if (name.Name == "C1.Win.FlexChart.4")
            {
                string path = (new System.Uri(Assembly.GetExecutingAssembly().CodeBase)).AbsolutePath;
                path = System.IO.Path.GetDirectoryName(path);
                return Assembly.LoadFile(path + "\\C1.Win.FlexChart.4.dll");
            }
            else if (name.Name == "C1.Win.C1Chart.4")
            {
                string path = (new System.Uri(Assembly.GetExecutingAssembly().CodeBase)).AbsolutePath;
                path = System.IO.Path.GetDirectoryName(path);
                return Assembly.LoadFile(path + "\\C1.Win.C1Chart.4.dll");
            }

            return null;
        }
    }
}
