﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using C1.Chart.Test;

namespace ChartBenchmark
{
    class Charts
    {
        string[] _names = new string[] {
            "FlexChart", "FlexChartDX"
#if !NET6_0
            , "MSChart", "C1Chart"
#endif
        };

        public string[] Names
        {
            get { return _names; }
        }

        public IChart CreateChart(string name)
        {
            IChart chart = null;
            switch (name)
            {
#if !NET6_0
                case "C1Chart":
                    chart = new Controls.C1ChartCtrl();
                    break;
                case "MSChart":
                    chart = new Controls.MSChartCtrl();
                    break;
#endif
                case "FlexChart":
                    chart = new Controls.FlexChartCtrl();
                    break;
                case "FlexChartDX":
                    chart = new Controls.FlexChartDxCtrl();
                    break;
            }

            return chart;
        }
    }
}
