﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Management;
using System.Text;
using System.Threading.Tasks;

namespace C1.Chart.Test
{
    public static class SysInfo
    {
        static string GetName(string key, string property)
        {
            string info = "";
            var searcher = new ManagementObjectSearcher("select * from " + key);
            var data = searcher.Get();

            foreach (var item in data)
                info += item.GetPropertyValue(property);

            return info;
        }

        public static string GetCpuInfo()
        {
            return GetName("Win32_Processor", "Name");
        }

        public static string GetOSInfo()
        {
            return string.Format("{0} {1}", GetName("Win32_OperatingSystem", "Caption"), GetName("Win32_OperatingSystem", "Version"));
        }

        public static string GetInfo()
        {
            return string.Format("{0}\r\n{1}\r\n", GetOSInfo(), GetCpuInfo());
        }
    }
}
